Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Interface InjectionProvider

Deprecated. Deprecated in 5.3, use `InjectionProvider2` instead. Instances of InjectProvider will be coerced to InjectionProvider2.

    public interface InjectionProvider

Provides some form of injection when the value for an `Inject` annotation is present. In this case, the provider is responsible for determining the value to be injected from the field name and field type.

This interface will be used as part of a `chain of command`.

Method Summary
`boolean` | `provideInjection(java.lang.String fieldName, java.lang.Class fieldType, ObjectLocator locator, ClassTransformation transformation, MutableComponentModel componentModel)` Deprecated. Perform the injection, if possible.

Method Detail

### provideInjection

    boolean provideInjection(java.lang.String fieldName,
                             java.lang.Class fieldType,
                             ObjectLocator locator,
                             ClassTransformation transformation,
                             MutableComponentModel componentModel)

  Deprecated.
  Perform the injection, if possible. Most often, this will result in a call to `TransformField.inject(Object)`. The caller is responsible for claiming the field.

  Parameters:
    `fieldName` - the name of the field requesting injection
    `fieldType` - the type of the field
    `locator` - allows services to be located
    `transformation` - allows the code for the class to be transformed
    `componentModel` - defines the relevant aspects of the component
  Returns:
    true if an injection has been made (terminates the command chain), false to continue down the chain

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.